MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023304Community[OCCT] OCCT:Application Frameworkpublic2012-07-17 17:032012-11-16 13:17
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023304: Copying constructor fails to copy both 'myIndx' variables.
DescriptionIn BRepMesh_PairOfIndex.hxx.
Probably a copy-paste bug.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0021016)
Pawel (developer)
2012-07-17 17:08

Corresponding git branch pushed. Please review.
(0021027)
abv (manager)
2012-07-18 08:02

No remarks, please test
(0021066)
mkv (tester)
2012-07-19 14:29

Dear BugMaster,
The workbenches
KAS:dev:mkv-23304-occt (GIT branch CR23304)
KAS:dev:mkv-23304-products (GIT master)
were compiled on Linux platform and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
Not needed

See results in /QADisk/occttests/results/KAS/dev/mkv-23304-products_18072012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120706-opt_06072012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]

- Related Changesets
occt: master 50e433aa
Timestamp: 2012-07-17 13:07:03
Author: Pawel
Details ] Diff ]
0023304: Copying constructor fails to copy both 'myIndx' variables.

Copy constructor corrected.
mod - src/BRepMesh/BRepMesh_PairOfIndex.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-17 17:03 Pawel New Issue
2012-07-17 17:03 Pawel Assigned To => Pawel
2012-07-17 17:06 Pawel Description Updated View Revisions
2012-07-17 17:08 Pawel Note Added: 0021016
2012-07-17 17:08 Pawel Assigned To Pawel => bugmaster
2012-07-17 17:08 Pawel Status new => resolved
2012-07-18 08:02 abv Note Added: 0021027
2012-07-18 08:02 abv Status resolved => reviewed
2012-07-18 15:48 mkv Assigned To bugmaster => mkv
2012-07-19 14:29 mkv Note Added: 0021066
2012-07-19 14:30 mkv Test case number => Not needed
2012-07-19 14:30 mkv Assigned To mkv => bugmaster
2012-07-19 14:30 mkv Status reviewed => tested
2012-07-23 12:20 Pawel Changeset attached => occt master 50e433aa
2012-07-23 12:22 Pawel Assigned To bugmaster => Pawel
2012-07-23 12:22 Pawel Status tested => verified
2012-07-23 12:22 Pawel Resolution open => fixed
2012-11-16 13:14 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker